HYPOT(3)

NAME
hypot, hypotf - distance from origin

SYNOPSIS

#include <math.h>

double hypot(double x, double y);

float hypotf(float x, float y);

DESCRIPTION

hypot calculates the Euclidean distance sqrt(x*x + y*y) between the origin (0,0) and a point represented by the Cartesian coordinates (x,y). hypotf differs only in the type of its arguments and result.

RETURNS

Normally, the distance value is returned. On overflow, hypot returns HUGE_VAL and sets errno to ERANGE.

PORTABILITY

hypot and hypotf are not ANSI C.